Create a Transfer Balance

post

/transferBalance

Creates a transfer balance.

Request

There are no request parameters for this operation.

Supported Media Types
Request Body - application/json;charset=utf-8 ()
Root Schema : Transfer Balance Create
Type: object
Title: Transfer Balance Create
A balance being transferred between buckets, used in TransferBalance create requests. The id, href, status, requestedDate, confirmationDate, relatedParty, and partyAccount properties are not used in create requests.
Show Source
Nested Schema : Quantity
Type: object
Represents an amount in a specified unit.
Show Source
Nested Schema : Bucket Ref
Type: object
Title: Bucket Ref
A reference to a bucket.
Show Source
Nested Schema : ChannelRef
Type: object
A reference to a channel.
Show Source
Nested Schema : impactedBucket
Type: array
The buckets are impacted by the request.
Show Source
Nested Schema : Logical Resource Ref
Type: object
Title: Logical Resource Ref
A reference to a logical resource.
Show Source
Nested Schema : Party Account Ref
Type: object
Title: Party Account Ref
A reference to a party account.
Show Source
Nested Schema : ProductRef
Type: object
A product reference.
Match All
A product reference.
A product reference.
Show Source
Nested Schema : Related Party
Type: object
Title: Related Party
A party related to another object.
Show Source
Nested Schema : relatedParty
Type: array
The parties are related to the transfer.
Show Source
Nested Schema : ImpactedBucket
Type: object
A bucket impacted by a balance top-up, adjustment, transfer, or reservation.
Show Source
Nested Schema : item
Type: array
Minimum Number of Items: 1
The impacted bucket items.
Show Source
Nested Schema : ImpactedBucketItem
Type: object
An impact item that affects an ImpactedBucket object.
Show Source
Nested Schema : EntityRef
Match All
Represents an entity reference schema for EntityRef classes.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Addressable
Type: object
Defines a base schema for addressable entities.
Show Source
Nested Schema : EntityRef-allOf[2]
Type: object
Represents an entity reference schema for EntityRef classes.
Show Source
Back to Top

Response

Supported Media Types

201 Response

The transfer balance was created successfully.
Body ()
Root Schema : TransferBalance
Type: object
A balance being transferred between buckets.
Show Source
Nested Schema : Quantity
Type: object
Represents an amount in a specified unit.
Show Source
Nested Schema : Bucket Ref
Type: object
Title: Bucket Ref
A reference to a bucket.
Show Source
Nested Schema : ChannelRef
Type: object
A reference to a channel.
Show Source
Nested Schema : impactedBucket
Type: array
The buckets are impacted by the request.
Show Source
Nested Schema : Logical Resource Ref
Type: object
Title: Logical Resource Ref
A reference to a logical resource.
Show Source
Nested Schema : Party Account Ref
Type: object
Title: Party Account Ref
A reference to a party account.
Show Source
Nested Schema : ProductRef
Type: object
A product reference.
Match All
A product reference.
A product reference.
Show Source
Nested Schema : Related Party
Type: object
Title: Related Party
A party related to another object.
Show Source
Nested Schema : relatedParty
Type: array
The parties are related to the transfer.
Show Source
Nested Schema : ImpactedBucket
Type: object
A bucket impacted by a balance top-up, adjustment, transfer, or reservation.
Show Source
Nested Schema : item
Type: array
Minimum Number of Items: 1
The impacted bucket items.
Show Source
Nested Schema : ImpactedBucketItem
Type: object
An impact item that affects an ImpactedBucket object.
Show Source
Nested Schema : EntityRef
Match All
Represents an entity reference schema for EntityRef classes.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Addressable
Type: object
Defines a base schema for addressable entities.
Show Source
Nested Schema : EntityRef-allOf[2]
Type: object
Represents an entity reference schema for EntityRef classes.
Show Source

400 Response

The request isn't valid.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

401 Response

The client doesn't have the correct privileges.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

403 Response

The request wasn't authorized.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

405 Response

This method is not allowed.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

409 Response

The request could not be processed due to the conflict with the existing state of the resource.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

500 Response

The system encountered an internal error.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source
Back to Top

Examples

The following examples show how to create transferred balances by submitting POST requests on the REST resource using cURL. For more information about cURL, see Use cURL.

The -d option specifies the file to attach as the request body.

curl -X POST 'http://host:port/brm/prepayBalanceManagement/version/transferBalance' -d @transferBalanceCreate.json

Request Body Example 1: Transferring a Currency Balance

The following is an example of the contents of the transferBalanceCreate.json file sent as the request body to transfer a currency balance and include a transfer cost.

You can specify any combination of sender and receiver bucket, product, or logical resource, and BRM locates the correct balance groups for the transfer. As in the example, with a sender bucket and a receiver product, the sender and receiver element types do not have to match.

{
   "amount": {
      "amount": "20",
      "units": "USD"
   },
   "costOwner": "receiver",
   "transferCost": {
      "amount": "5",
      "units": "USD"
   },
   "bucket": {
      "id": "0.0.0.1+-balance_group+2186073+840+0"
   },
   "receiverProduct": {
      "id": "0.0.0.1+-service-telco-gsm-telephony+2184506"
   }
}

Request Body Example 2: Transferring a Noncurrency Balance

The following is an example of the contents of the transferBalanceCreate.json file sent as the request body to transfer a noncurrency balance and include a transfer cost.

{
   "amount": {
      "amount": "10",
      "units": "Free Minutes"
   },
   "costOwner": "originator",
   "transferCost": {
      "amount": "1",
      "units": "Free Minutes"
   },
   "logicalResource": {
      "value": "0049100501"
   },
   "receiverProduct": {
      "id": "0.0.0.1+-service-telco-gsm-telephony+2202128"
   }
}

Response Body

The following is an example of the response body in JSON format. It looks the same for currency and noncurrency transfers.

{
   "@baseType": null,
   "@schemaLocation": null,
   "@type": null,
   "amount": null,
   "bucket": null,
   "channel": null,
   "confirmationDate": null,
   "costOwner": null,
   "description": null,
   "href": "http://host:port/brm/prepayBalanceManagement/v4/transferBalance/0.0.0.1+-event-audit-transfer_balance+330134963311715969",
   "id": "0.0.0.1+-event-audit-transfer_balance+330134963311715969",
   "impactedBucket": null,
   "logicalResource": null,
   "partyAccount": null,
   "product": null,
   "reason": null,
   "receiver": null,
   "receiverBucket": null,
   "receiverBucketUsageType": null,
   "receiverLogicalResource": null,
   "receiverPartyAccount": null,
   "receiverProduct": null,
   "relatedParty": null,
   "requestedDate": null,
   "requestor": null,
   "status": "CONFIRMED",
   "transferCost": null,
   "usageType": null
}
Back to Top